<?php

namespace Paheko;

require_once __DIR__ . '/_inc.php';

use Paheko\Utils;

// get the category selected

$cat_requested = $cat->get((int) qg('id'));

if (!$cat_requested) {
	throw new UserException("Cette catégorie n'existe pas.");
}

// check if delete form is submitted

$csrf_key = 'delete_category_' . $cat_requested->id;

$form->runIf(f('delete') && !$form->hasErrors(),
             function() use ($cat, $cat_requested, $form)
{
	try
	{
		// try to delete category selected and if error catched add it in form
		$cat->delete($cat_requested->id);
		Utils::redirect(Utils::plugin_url() . 'categories/index.php');
	}
	catch (\RuntimeException $e)
	{
		if (strstr($e->getMessage(), 'FOREIGN KEY constraint failed'))
		{
			$form->addError('Cette catégorie contient des matériels et ne peut donc pas être supprimée.');
		} else
		{
			$form->addError($e->getMessage());
		}
	}
});

$cancel_link = Utils::plugin_url() . 'categories/index.php';

// send to template the category requested

$tpl->assign(compact('cat_requested', 'csrf_key', 'cancel_link'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/supprimer_categorie.tpl');
