<?php

namespace Paheko;

require_once __DIR__ . '/_inc.php';

use Paheko\Utils;

// check if add form is submitted

$csrf_key = 'cat_create';

$form->runIf(f('save') && !$form->hasErrors(), function() use ($cat, $form) {
    try {
        $cat->add([
			'name' => ucfirst(f('name'))
		]);
        Utils::redirect(Utils::getSelfURL());
    }
    catch (\RuntimeException $e)
	{
		if (strstr($e->getMessage(), 'UNIQUE constraint failed'))
		{
			$form->addError('Cette catégorie existe déjà.');
		} else
		{
			$form->addError($e->getMessage());
		}
	}

}, $csrf_key);

// get the list of all categories and send it to template

$list = $cat->listAll();

$tpl->assign(compact('csrf_key', 'list'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/index.tpl');
